se.mm <-
function(fit.object) {
  x  <- model.matrix(fit.object)
  mu <- fit.object$fit
  th <- fit.object$theta
  ny <- nrow(x)
  
  b.xx <- matrix(apply((1 + 2 * th * mu)/(1 + th * mu) * x, 2, mean), nrow = 1)
  b.th <- mean( mu / (1 + th * mu) )
  c.th <- 2 + 6 * th + mean( 1 / ( mu * (1 + th * mu) ) )  
  
  sigma2 <- c( ((c.th - b.xx %*% (ny * vcov(fit.object)) %*% t(b.xx)) / b.th^2) / ny )
  sqrt( sigma2 )
}
